summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author khronosschoty2018-06-20 01:11:57 +0200
committer Willy Sudiarto Raharjo2018-06-23 03:44:01 +0200
commit18ca2afc697cd3254a683368ccae2fc1e04a9301 (patch)
treedcf8b55714b3c5ecd0e3a4033129876262bff576 /network
parentd41020bcf0fda3c80f5c28afc3cdc25b177a2fdd (diff)
downloadslackbuilds-18ca2afc697cd3254a683368ccae2fc1e04a9301.tar.gz
network/basilisk: Removed (renamed to basilisk-bin).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/basilisk/README13
-rw-r--r--network/basilisk/basilisk.SlackBuild99
-rw-r--r--network/basilisk/basilisk.desktop14
-rw-r--r--network/basilisk/basilisk.info10
-rw-r--r--network/basilisk/doinst.sh9
-rw-r--r--network/basilisk/slack-desc19
6 files changed, 0 insertions, 164 deletions
diff --git a/network/basilisk/README b/network/basilisk/README
deleted file mode 100644
index 5c78a5ad82..0000000000
--- a/network/basilisk/README
+++ /dev/null
@@ -1,13 +0,0 @@
-Basilisk is a free and Open Source XUL-based web browser, featuring
-the well-known Firefox-style interface and operation. It is based on
-the Goanna layout and rendering engine (a fork of Gecko) and builds
-on the Unified XUL Platform (UXP), which in turn is a fork of the
-Mozilla code base without Servo or Rust.
-
-Basilisk is community software released by the Pale Moon team and
-Mozilla developers.
-
-This SlackBuild just repackages the binary package provided by the
-project. It doesn't attempt to build the browser from source.
-
-The Basilisk Linux packages are currently only 64-bit.
diff --git a/network/basilisk/basilisk.SlackBuild b/network/basilisk/basilisk.SlackBuild
deleted file mode 100644
index 1df080372f..0000000000
--- a/network/basilisk/basilisk.SlackBuild
+++ /dev/null
@@ -1,99 +0,0 @@
-#!/bin/sh
-
-# Slackware build script for basilisk
-# Copyright 2018 Skaendo <skaendo at excite dot com>
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-PRGNAM=basilisk
-VERSION=${VERSION:-2018.05.15}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-
-if [ -z "$ARCH" ]; then
-case "$( uname -m )" in
- i?86) ARCH=i686 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
-esac
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-# Basilisk is only 64bit.
-if [ "$ARCH" = "x86_64" ]; then
- SRCARCH=amd64
-else
- echo "$ARCH is not supported. Aborting."
- exit 1
-fi
-
-# Check for sse2 flag and abort if not found
-if ! grep -q sse2 /proc/cpuinfo; then
- echo "SSE2 support not detected. Aborting."
- exit 1
-fi
-
-set -e
-
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $PRGNAM
-tar xvf $CWD/$PRGNAM-latest.linux64.tar.bz2
-cd $PRGNAM
-chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
-# Install basilisk into /opt
-mkdir -p $PKG/opt/basilisk
-cp -vr * $PKG/opt/basilisk
-
-# Link stuff
-## binary
-mkdir -p $PKG/usr/bin
-ln -s /opt/basilisk/basilisk $PKG/usr/bin/basilisk
-## icons
-mkdir -p $PKG/usr/share/icons/hicolor/128x128/apps
-ln -s /opt/basilisk/browser/icons/mozicon128.png \
- $PKG/usr/share/icons/hicolor/128x128/apps/basilisk.png
-
-# Install .desktop file
-mkdir -p $PKG/usr/share/applications
-cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
-
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
-| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
-
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/basilisk/basilisk.desktop b/network/basilisk/basilisk.desktop
deleted file mode 100644
index 8602265183..0000000000
--- a/network/basilisk/basilisk.desktop
+++ /dev/null
@@ -1,14 +0,0 @@
-[Desktop Entry]
-Version=1.0
-Name=Basilisk Web Browser
-Comment=Browse the World Wide Web
-Keywords=Internet;WWW;Browser;Web;Explorer
-Exec=basilisk %u
-Terminal=false
-X-MultipleArgs=false
-Type=Application
-Icon=basilisk
-Categories=Network;WebBrowser;
-MimeType=text/html;text/xml;application/xhtml+xml;application/xml;application/rss+xml;application/rdf+xml;image/gif;image/jpeg;image/png;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;x-scheme-handler/chrome;video/webm;application/x-xpinstall;
-StartupNotify=true
-Name[en_US]=Basilisk Web Browser
diff --git a/network/basilisk/basilisk.info b/network/basilisk/basilisk.info
deleted file mode 100644
index 88713863c1..0000000000
--- a/network/basilisk/basilisk.info
+++ /dev/null
@@ -1,10 +0,0 @@
-PRGNAM="basilisk"
-VERSION="2018.05.15"
-HOMEPAGE="http://www.basilisk-browser.org"
-DOWNLOAD="UNSUPPORTED"
-MD5SUM=""
-DOWNLOAD_x86_64="http://us.basilisk-browser.org/release/basilisk-latest.linux64.tar.bz2"
-MD5SUM_x86_64="d8f338b15b9ddb020ea86f193a49a169"
-REQUIRES=""
-MAINTAINER="Skaendo"
-EMAIL="skaendo at excite dot com"
diff --git a/network/basilisk/doinst.sh b/network/basilisk/doinst.sh
deleted file mode 100644
index 65c7e2eeb9..0000000000
--- a/network/basilisk/doinst.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
-fi
-
-if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
- if [ -x /usr/bin/gtk-update-icon-cache ]; then
- /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
- fi
-fi
diff --git a/network/basilisk/slack-desc b/network/basilisk/slack-desc
deleted file mode 100644
index b8cdac970d..0000000000
--- a/network/basilisk/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
- |-----handy-ruler------------------------------------------------------|
-basilisk: basilisk (Web browser)
-basilisk:
-basilisk: Basilisk is a free and Open Source XUL-based web browser, featuring
-basilisk: the well-known Firefox-style interface and operation. It is based on
-basilisk: the Goanna layout and rendering engine (a fork of Gecko) and builds
-basilisk: on the Unified XUL Platform (UXP), which in turn is a fork of the
-basilisk: Mozilla code base without Servo or Rust.
-basilisk:
-basilisk:
-basilisk: Homepage: https://www.basilisk-browser.org/
-basilisk: